This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 986330 - SELinux is preventing /usr/bin/systemd-tmpfiles from setattr access on the directory tmp
SELinux is preventing /usr/bin/systemd-tmpfiles from setattr access on the di...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-19 08:29 EDT by Romain Coltel
Modified: 2013-07-26 19:05 EDT (History)
3 users (show)

See Also:
Fixed In Version: selinux-policy-3.12.1-66.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-26 19:05:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Romain Coltel 2013-07-19 08:29:35 EDT
SELinux is preventing /usr/bin/systemd-tmpfiles from setattr access on the directory tmp.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that systemd-tmpfiles should be allowed setattr access on the tmp directory by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep systemd-tmpfile /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:systemd_tmpfiles_t:s0
Target Context                system_u:object_r:print_spool_t:s0
Target Objects                tmp [ dir ]
Source                        systemd-tmpfile
Source Path                   /usr/bin/systemd-tmpfiles
Port                          <Unknown>
Host                          in
Source RPM Packages           systemd-204-9.fc19.x86_64
Target RPM Packages           filesystem-3.2-12.fc19.x86_64
Policy RPM                    selinux-policy-3.12.1-59.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     in
Platform                      Linux in 3.9.9-301.fc19.x86_64 #1 SMP
                              Thu Jul 4 15:10:36 UTC 2013 x86_64 x86_64
Alert Count                   1
First Seen                    2013-07-19 09:24:01 CEST
Last Seen                     2013-07-19 09:24:01 CEST
Local ID                      b6c37f42-db69-453a-b146-5a3e2aba5513

Raw Audit Messages
type=AVC msg=audit(1374218641.544:668): avc:  denied  { setattr } for  pid=4462 comm="systemd-tmpfile" name="tmp" dev="dm-0" ino=33444 scontext=system_u:system_r:systemd_tmpfiles_t:s0 tcontext=system_u:object_r:print_spool_t:s0 tclass=dir


type=SYSCALL msg=audit(1374218641.544:668): arch=x86_64 syscall=utimensat success=no exit=EACCES a0=4 a1=0 a2=7fffedca5470 a3=0 items=0 ppid=1 pid=4462 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=4294967295 tty=(none) comm=systemd-tmpfile exe=/usr/bin/systemd-tmpfiles subj=system_u:system_r:systemd_tmpfiles_t:s0 key=(null)

Hash: systemd-tmpfile,systemd_tmpfiles_t,print_spool_t,dir,setattr



Note : not sure it is a selinux-policy bug or a systemd-tmpfiles one.
Comment 1 Miroslav Grepl 2013-07-22 06:17:11 EDT
Added.
Comment 2 Fedora Update System 2013-07-24 10:11:33 EDT
selinux-policy-3.12.1-66.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/selinux-policy-3.12.1-66.fc19
Comment 3 Fedora Update System 2013-07-24 20:34:54 EDT
Package selinux-policy-3.12.1-66.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-66.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-13543/selinux-policy-3.12.1-66.fc19
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-07-26 19:05:53 EDT
selinux-policy-3.12.1-66.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.